EUARE-RELEASEROLE(1)

NAME
euare-releaserole - Release IAM role credentials

SYNOPSIS
euare-releaserole [-c | -s] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Release IAM role credentials

DESCRIPTION
The euare-releaserole utility removes the credentials created by euareassumerole(1) by outputting shellcode that deletes the environment variables it creates. Use it inside an eval command to make this process seamless:

DESCRIPTION
$ eval `euare-releaserole`

DESCRIPTION
Note that if the credentials used to initially assume the role were supplied in the form of environment variables those environment variables will need to be reset:

DESCRIPTION
$ source eucarc

  optional arguments:

-c  generate C-shell commands on stdout (default if SHELL looks like a csh-style shell

-s  generate Bourne shell commands on stdout (default if SHELL does not look like a csh-style shell

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit